Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		usbmuxd
#Epoch:		0
Version:	1.0.6
Release:	1
License:	GNU/GPLv2 and GNU/LGPLv2.1
URL:		http://marcansoft.com/blog/iphonelinux/usbmuxd/
Group:		System/Libraries
Summary:	USB multiplexing daemon
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libusb1-devel
BuildRequires: pkg-config

%description
'usbmuxd' stands for "USB multiplexing daemon".  To the user/developer what it
actually does is to proxy requests over a USB cable on directly to a listening
TCP port on the iPhone.

Multiple connections to different TCP ports can happen in parallel. An example
(and useful) tool called 'iproxy' is included that allows you to forward
localhost ports to the device---allows SSH over USB on jailbroken devices, or
allowing access the lockdown daemon (and then to all of the file access, sync,
notification and backup services running on the device).

This higher-level layers are handled by libiphone.  The version of libiphone
compatible with the 'usbmuxd' infrastructure is called 'libiphone-usbmuxd'.
'ifuse' is then able to sit on top of this.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre
if [ "`grep usbmux /etc/passwd`" = "" ]; then
        /usr/sbin/useradd -u 191 -c 'usbmux daemon' -M -r -s /sbin/nologin -g users usbmux &>/dev/null
fi

%preun

%post
ldconfig

%postun
if [ $1 -eq 0 ]; then
        /usr/sbin/userdel usbmux &>/dev/null || :
fi
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
mkdir build-i686
pushd build-i686
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix}
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build-i686
make install DESTDIR=$RPM_BUILD_ROOT
popd
# If this realy needed ?
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
/%{_lib}/udev/rules.d/85-usbmuxd.rules
%{_bindir}/iproxy
%{_sbindir}/usbmuxd
%{_libdir}/libusbmuxd.so.*


%files devel
%defattr(-,root,root)
%{_includedir}/usbmuxd-proto.h
%{_includedir}/usbmuxd.h
%{_libdir}/libusbmuxd.so
%{_pkgconfig}/libusbmuxd.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Nov 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.6-1
- version update
* Sun Oct 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.5-1
- version update
* Thu Aug 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-1
- version update
* Sun Mar 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-1
- version update
* Fri Jan 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- initial CCux package release
